{% set PageTitle = "Document Library" %} {% extends "master.doclib.html" %} {%
block main %}
<div id="test"></div>
<div id="feedback"></div>
<!-- <div class="container" style="padding:0; max-width:1440px;">

<img style="margin:0 auto" src='dist/images/slide-in-sizes.jpg' />
</div> -->

<script>
  window.addEventListener("load", function() {
    ReactDOM.render(
      React.createElement(Components.DocumentLibrary, {
        isDev: true,
        searchApiEndpoint: "/doc-api/search/",
        documentListApiEndpoint: "/doc-api/document-list/",
        subCategoryApiEndPoint: "/doc-api/sub-category/",
        postDocumentEndpoint: "dist/json/form.json",
        emailDocumentEndpoint: "dist/json/form.json",
        hasDocumentExpired: true,
        cookieExpiry: 180,
        content: {
          yourDocumentsTxt: "Your selected documents",
          returnToDocumentLibraryTxt: "Return to Document Library",
          popularDocumentsHeadingTxt: "Popular documents",
          cancelTxt: "Cancel",

          postOverlayHeading: "Documents to post",
          postDocumentTxt: "Post document",
          postDocumentEnabledTxt: "Added to post list",
          addressHeading: "Postal address",
          postDocumentsCtaTxt: "Post now",
          mandatoryTxt: "* Mandatory",
          emptyPostalBasket: "You do not have any documents selected to post.",
          removeCta: "Remove",
          quantityLabel: "Quantity",
          postStickyButtonText: "{count} Document{s} to post",

          saveDocumentTxt: "Email / download document",
          saveDocumentEnabledTxt: "Added to email / download list",
          saveOverlayHeading: "Documents to email/download",
          emptySaveBasket:
            "You do not have any documents selected to email/download.",
          downloadAll: "Download All",
          emailAll: "Email All",
          emailStickyButtonText: "{count} Document{s} email",

          searchPlaceholderTxt: "Enter search term here",
          searchCtaTxt: "Go",
          searchInProgressTxt: "Searching...",
          searchHeadingTxt: "All Results",
          searchResultsError:
            "Your search didn't return any results, please try searching again",

          nameLabel: "Name",
          namePlaceholder: "Enter name here",
          companyNameLabel: "Company name",
          companyNamePlaceholder: "Enter company name here",
          addressLabel: "Address",
          addressPlaceholder: "Enter address here",
          address2Label: "Address line 2",
          address2Placeholder: "Enter address here",
          address3Label: "Address line 3",
          address3Placeholder: "Enter address here",
          address4Label: "Address line 4",
          address4Placeholder: "Enter address here",
          postCodeLabel: "Post code",
          postCodePlaceholder: "Enter post code here",
          postDocumentSuccessMessage: "Your documents will be posted soon",

          emailInputLabel: "Email address",
          personalEmailInputPlaceholder: "Enter your email address",
          emailInputPlaceholder: "Enter an email address",
          selectDefault: "Choose you option",
          addAnotherEmailTxt: "Add another email",
          emailDocumentSuccessMessage:
            "You have successfully emailed your selected documents",
          selectEmailOrDownloadLabel: "How do you want your documents?",

          documentNotFoundHeading: "Missing Document",
          documentNotFoundBody:
            "Uh oh, we can't find the document you're looking for...",
          documentNotFoundAdditionalTxt:
            "We may have moved it, taken it away or there may be a problem with it."
        },
        popularDocuments: [
          {
            name: "Sick Pay Appeal Document 2",
            id: "120",
            type: "document",
            summary: "summary",
            reference: "test",
            updatedDate: "test",
            documentUrl: "dist/files/pdf-sample-2.pdf",
            documentIcons: [
              {
                iconSrc: "dist/images/icon/document-cog-icon.png",
                iconTxt: "This is some text that describes the icon"
              },
              {
                iconSrc: "dist/images/icon/icon-document-pen.png",
                iconTxt: "This is some text"
              },
              {
                iconSrc: "dist/images/icon/icon-pdf.png",
                iconTxt: "This is some icon desciption text"
              },
              {
                iconSrc: "dist/images/icon/page 1.png",
                iconTxt: "This is some text that describes the icon"
              }
            ]
          },
          {
            name: "Income Protection Document B 2",
            id: "200",
            type: "document",
            documentUrl: "dist/files/pdf-sample-2.pdf"
          }
        ],
        items: [
          {
            id: "protection",
            label: "Protection",
            type: "area",
            name: "protection",
            items: [
              {
                id: "fastway",
                label: "Fastway",
                type: "category",
                name: "fastway",
                items: []
              },
              {
                id: "lv-doctor-services",
                label: "LV= Doctor Services",
                type: "category",
                name: "lv-doctor-services",
                items: [
                  {
                    id: "flexible-protection-plan-income-protection",
                    label: "Flexible Protection Plan Income Protection",
                    type: "sub-category",
                    name: "flexible-protection-plan-income-protection",
                    //ajaxUrl not needed outside of the frontend build
                    ajaxUrl:
                      "dist/json/flexible-protection-plan-income-protection.json"
                  }
                ]
              },
              {
                id: "income-protection",
                label: "Income Protection",
                type: "category",
                name: "income-protection",
                items: [
                  {
                    id: "flexible-protection-plan-income-protection",
                    label: "Flexible Protection Plan Income Protection",
                    type: "sub-category",
                    name: "flexible-protection-plan-income-protection",
                    //ajaxUrl not needed outside of the frontend build
                    ajaxUrl:
                      "dist/json/flexible-protection-plan-income-protection.json"
                  },
                  {
                    id: "flexible-protection-plan-personal-sick-pay",
                    label: "Flexible Protection Plan Personal Sick Pay",
                    type: "sub-category",
                    name: "flexible-protection-plan-personal-sick-pay",
                    //ajaxUrl not needed outside of the frontend build
                    ajaxUrl:
                      "dist/json/flexible-protection-plan-personal-sick-pay.json"
                  }
                ]
              },
              {
                id: "life-and-critical-illness",
                label: "Life and Critical Illness",
                type: "category",
                items: []
              },
              {
                id: "life-protection",
                label: "Life Protection",
                type: "category",
                items: []
              },
              {
                id: "business-protection",
                label: "Business Protection",
                type: "category",
                items: []
              },
              {
                id: "others",
                label: "Others",
                type: "category",
                items: []
              }
            ]
          },
          {
            id: "retirement",
            label: "Retirement",
            type: "area"
          },
          {
            id: "pension-investments",
            label: "Pension Investments",
            type: "area"
          },
          {
            id: "other-investments",
            label: "Other Investments",
            type: "area"
          }
        ]
      }),
      document.getElementById("test")
    );

    ReactDOM.render(
      React.createElement(Components.FeedbackModule, {
        id: "module-StartQuote-0",
        theme: {
          themeName: "teal",
          textColour: "white",
          mobileTextColour: "white"
        },
        headline: "This is a beta site",
        // icon: '<img src="http://placehold.it/50x50" />',
        primaryCta: {
          type: "primary",
          link: '<a href="#">let us know what you think</a>'
        }
      }),
      document.getElementById("feedback")
    );
  });
</script>

<!--<section class="contact-us">
        <div class="container contact-us__container">

          <div class="contact-us__main">

            <div class="contact-us__primary">
              <h3>Which product do you require assistance with?</h3>

              <div id="navsection1"></div>
              <div id="navsection2"></div>

            </div>

            <div class="contact-us__secondary">
              <div class="contact-us__details">
                <div class="contact-us__secondaryitems">

                    <div class="contact-us__intro">
                      <h2>Let us help you get in touch with the right team</h2>
                      <img src="http://placehold.it/200x150" alt="">
                    </div>

                  <div class="contact-us__secondaryitems__list">
                      <h3 class="contact-us__backLink label">Backlink</h3>

                      <div id="navsection3"></div>
                  </div>
                </div>

                <div class="contact-us__tertiary">
                  <h3 class="contact-us__backLink label"  onClick={() => this._reset('tertiary')}><Icon icon="leftarrow" fillColor="#04589b"/>{this.state.tertiary.title}</h3>
                  {hasTertiary && tertiaryContent.contact && (
                    <div class="box box--sm box--alt">
                      <Contact {...tertiaryContent.contact} tel={tertiaryContent.contact.telephone} telAltIntro={tertiaryContent.contact.telAltIntro} telAlt={tertiaryContent.contact.telAlt} info={tertiaryContent.contact.subText} isAlt={true} />
                    </div>
                  )}
                  {tertiaryLinks && (
                    <div>
                      <ul class="links">{tertiaryLinks}</ul>
                    </div>
                  )}
                </div>
              </div>
            </div>

          </div>
        </div>
      </section>-->

{% endblock %} {% block styles %} {% endblock %} {% block scripts %}

<script>
  window.addEventListener("load", function() {
    /* ReactDOM.render(React.createElement(Components.NavSection, {
         headline:'',
         items:[
           {
             title: 'Breakdown emergency',
             type:'featured',
             id:'navsection1-1'
           },
           {
             title: 'Home emergency',
             additional: 'For customers with home emergency cover',
             type:'featured',
             id:'navsection1-2'
           },
           {
             title: 'Asset allocation',
             id:'navsection1-3'
           },
           {
             title: 'Insurance',
             id:'navsection1-4'
           },
           {
             title: 'Pensions and Retirement',
             id:'navsection1-5'
           },
           {
             title: 'Investments',
             id:'navsection1-6'
           },
           {
             title: 'General Enquiries',
             id:'navsection1-7'
           },
           {
             title: 'Complaints',
             id:'navsection1-8'
           }
         ]
     }), document.getElementById("navsection1"));
 
     ReactDOM.render(React.createElement(Components.NavSection, {
         headline:'Nav section',
         items:[
           {
             title: 'Breakdown emergency',
             type:'featured'
           },
           {
             title: 'Home emergency',
             additional: 'For customers with home emergency cover',
             type:'featured'
           },
           {
             title: 'Asset allocation'
           }
         ]
     }), document.getElementById("navsection2"));
 
 
     ReactDOM.render(React.createElement(Components.NavSection, {
         headline:'Nav section',
         items:[
           {
             title: 'Breakdown emergency',
           },
           {
             title: 'Home emergency',
           },
           {
             title: 'Asset allocation'
           }
         ]
     }), document.getElementById("navsection3"));
 */
    /*
    ReactDOM.render(React.createElement(Components.ContactUs, {
      image: {
        html:`<img src="http://placehold.it/200x150" />`
      },
      sectionsHeadline:'Which product do you require assistance with?',
      sections:[
        {
          headline:'Pensions',
          items:[
            {
              title: 'Breakdown emergency 1',
              content: [
                {
                  type:'contact',
                  contact:{
                    intro:'Need to speak with us about something else?',
                    tel:'0800 707 6967',
                    telAltIntro:'From abroad:',
                    telAlt:'+44 1243 621 537',
                    info:'Our <b>24 hour emergency helpline</b>  for medical emergencies and assistance'
                  }
                },
                {
                  type:'copy',
                  copy:`<p>Have the following information ready</p>
                      <ul>
                        <li>Your policy number and the phone number your calling from more text more text more text</li><li>Your policy number and the phone number you're calling from</li><li>Your policy number and the phone number your calling from</li>
                        </ul>`

                }
              ],
              type:''
            },
            {
              title: 'Breakdown emergency 2',
              content: [
                {
                  type:'links',
                  headline:"Links headline",
                  links:[
                    {
                      link:'<a href="#">Make a claim</a>'
                    },
                    {
                      link:'<a href="#">Enquire about an existing claim</a>'
                    },
                    {
                      link:'<a href="#">Form name (PDF, 357KB)</a>',
                      isPDF:true,
                      subText:'Get copies of your insurance schedule or policy documents',
                      subLink:'<a href="#">Death claim guidance notes (PDF,89KB)'
                    },
                    {
                      link:'<a href="#">Renew policy</a>'
                    },
                    {
                      link:'<a href="#">Request policy documents</a>',
                      subText:'Get copies of your insurance schedule or policy documents'
                    },
                    {
                      link:'<a href="#">Pre travel advice</a>'
                    },
                  ]

                },
                {
                  type:'contact',
                  contact:{
                    tel:'0800 707 6967',
                    telAltIntro:'From abroad:',
                    telAlt:'+44 1243 621 537',
                    info:'Our <b>24 hour emergency helpline</b>  for medical emergencies and assistance'
                  }
                }
              ],
              type:''
            }
          ]
        },
        {
          headline:'Pensions',
          items:[
            {
              title: 'Breakdown emergency 3',
              content: [],
              type:''
            },
            {
              title: 'Breakdown emergency 4',
              content: [],
              type:''
            }
          ]
        }
      ]
	  }), document.getElementById("contactus2"));
*/
  });
</script>

{% endblock %} {% block header %}
<script>
  window.addEventListener("load", function() {
    ReactDOM.render(
      React.createElement(PriorityComponents.HeaderBanner, {
        beta: {
          betaTxt: "This is some beta text",
          feedbackCta: "Feedback"
        },
        backCta: '<a href="#">Back to LV</a>',
        theme: {
          themeName: "teal",
          textColour: "white",
          mobileTextColour: "white"
        },
        isLeftAligned: true,
        desktopImage: {
          html:
            '<img src="dist/images/placeholder/bg__d_Investment.jpg" alt="" />',
          src: "dist/images/placeholder/bg__d_Investment.jpg",
          altText: "alt text goes here"
        },
        mobImage: {
          html: '<img src="dist/images/placeholder/bg__m_Travel.jpg" alt="" />',
          src: "dist/images/placeholder/bg__m_Travel.jpg",
          altText: "alt text goes here"
        },
        label: "Document library",
        labelLink: "",
        headline: "Search and download from our online library"
      }),
      document.getElementById("HeaderBanner")
    );
  });
</script>
{% endblock %} {% block FloatingActionButton %}{% endblock %} {% block
NavBreadcrumb %}
<script>
  window.addEventListener("load", function() {
    ReactDOM.render(
      React.createElement(Components.Breadcrumb, {
        items: [
          { label: "Home", url: "index.html" },
          { label: "Contact us", url: "" }
        ]
      }),
      document.getElementById("breadcrumb")
    );
  });
</script>
{% endblock %}
